Bullet Collision Detection & Physics Library: btDispatcherInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
btDispatcherInfo Struct Reference

`#include <btDispatcher.h>`

Collaboration diagram for btDispatcherInfo:
[legend]

## Public Types
enum | DispatchFunc { DISPATCH_DISCRETE = 1 , DISPATCH_CONTINUOUS }

## Public Member Functions
| btDispatcherInfo ()

## Public Attributes
btScalar | m_timeStep
int | m_stepCount
int | m_dispatchFunc
btScalar | m_timeOfImpact
bool | m_useContinuous
class btIDebugDraw * | m_debugDraw
bool | m_enableSatConvex
bool | m_enableSPU
bool | m_useEpa
btScalar | m_allowedCcdPenetration
bool | m_useConvexConservativeDistanceUtil
btScalar | m_convexConservativeDistanceThreshold
bool | m_deterministicOverlappingPairs

## Detailed Description

Definition at line 30 of file btDispatcher.h.

## Member Enumeration Documentation

## ◆ DispatchFunc

enum btDispatcherInfo::DispatchFunc

Enumerator
DISPATCH_DISCRETE |
DISPATCH_CONTINUOUS |

Definition at line 32 of file btDispatcher.h.

## Constructor & Destructor Documentation

## ◆ btDispatcherInfo()

btDispatcherInfo::btDispatcherInfo | ( |  | ) |
| inline

Definition at line 37 of file btDispatcher.h.

## Member Data Documentation

## ◆ m_allowedCcdPenetration

btScalar btDispatcherInfo::m_allowedCcdPenetration

Definition at line 62 of file btDispatcher.h.

## ◆ m_convexConservativeDistanceThreshold

btScalar btDispatcherInfo::m_convexConservativeDistanceThreshold

Definition at line 64 of file btDispatcher.h.

## ◆ m_debugDraw

class btIDebugDraw* btDispatcherInfo::m_debugDraw

Definition at line 58 of file btDispatcher.h.

## ◆ m_deterministicOverlappingPairs

bool btDispatcherInfo::m_deterministicOverlappingPairs

Definition at line 65 of file btDispatcher.h.

## ◆ m_dispatchFunc

int btDispatcherInfo::m_dispatchFunc

Definition at line 55 of file btDispatcher.h.

## ◆ m_enableSatConvex

bool btDispatcherInfo::m_enableSatConvex

Definition at line 59 of file btDispatcher.h.

## ◆ m_enableSPU

bool btDispatcherInfo::m_enableSPU

Definition at line 60 of file btDispatcher.h.

## ◆ m_stepCount

int btDispatcherInfo::m_stepCount

Definition at line 54 of file btDispatcher.h.

## ◆ m_timeOfImpact

btScalar btDispatcherInfo::m_timeOfImpact
| mutable

Definition at line 56 of file btDispatcher.h.

## ◆ m_timeStep

btScalar btDispatcherInfo::m_timeStep

Definition at line 53 of file btDispatcher.h.

## ◆ m_useContinuous

bool btDispatcherInfo::m_useContinuous

Definition at line 57 of file btDispatcher.h.

## ◆ m_useConvexConservativeDistanceUtil

bool btDispatcherInfo::m_useConvexConservativeDistanceUtil

Definition at line 63 of file btDispatcher.h.

## ◆ m_useEpa

bool btDispatcherInfo::m_useEpa

Definition at line 61 of file btDispatcher.h.

The documentation for this struct was generated from the following file:

- btDispatcher.h